Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 16676 - Command Line Option for forcing color output missing
Summary: Command Line Option for forcing color output missing
Status: VERIFIED LATER
Alias: None
Product: Portage Development
Classification: Unclassified
Component: Core (show other bugs)
Hardware: All All
: High enhancement (vote)
Assignee: Portage team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-03-02 13:25 UTC by Danny Milosavljevic
Modified: 2011-10-30 22:38 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
adds a --nocolor option (emerge-nocolor.patch,657 bytes, patch)
2005-04-19 19:45 UTC, Alec Warner
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Danny Milosavljevic 2003-03-02 13:25:12 UTC
Hi!

A command line option for forcing color output would be good (emerge search sources |lv -c doesnt work as expected).

Also an make.conf option for "upgradeonly" :)

Thanks!



Reproducible: Always
Steps to Reproduce:

1.
2.
3.
Comment 1 SpanKY gentoo-dev 2003-03-02 15:12:18 UTC
'upgradeonly' has been filed before as a different bug
Comment 2 Danny Milosavljevic 2003-03-03 09:05:48 UTC
I suppose you mean Bug #12069 or Bug #13632.
But the wish for a make.conf option is missing there. The "upgradeonly" stuff in general _has_ been implemented in recent portage releases (-U). But no make.conf setting instead of -U exists :)

Comment 3 Danny Milosavljevic 2003-07-28 02:26:52 UTC
hm, still no command line option for forcing color output...

That would be good for:
emerge search whatever |lv -c
to be colory ;)

it also is just a minor change... nobody wants to do it ? 

Comment 4 Alec Warner archtester Gentoo Infrastructure gentoo-dev Security 2005-04-19 19:45:05 UTC
Created attachment 56720 [details, diff]
adds a --nocolor option

Probably a bad spot to add the nocolor call, but hey emerge is screwed up nuff
anyway :)
Comment 5 Danny Milosavljevic 2005-04-20 01:34:05 UTC
isnt your patch the wrong way around ?

I dont have any problem getting portage NOT to use color. The moment you use a pipe, color is gone. 

The point is I WANT to have color and a pipe :)

example, 
emerge search xyz |lv -c

to have a colored, scrolling list of packages
Comment 6 Alec Warner archtester Gentoo Infrastructure gentoo-dev Security 2005-04-22 13:54:24 UTC
A new color={on,off,auto} could be introduced, but as talking with Jason on IRC about it has revealed, it will most likely be pushed back to whenever emerge gets gutted and rewritten.
Comment 7 Jason Stubbs (RETIRED) gentoo-dev 2005-07-28 07:25:21 UTC
Putting a hold on feature requests for portage as they are drowning out the 
bugs. Most of these features should be available in the next major version of 
portage. But for the time being, they are just drowning out the major bugs and 
delaying the next version's progress. 
 
Any bugs that contain patches and any bugs for etc-update or dispatch-conf can 
be reopened. Sorry, I'm just not good enough with bugzilla. ;) 
Comment 8 Marius Mauch (RETIRED) gentoo-dev 2007-01-11 11:55:53 UTC
I think this is fixed by now.
Comment 9 Zac Medico gentoo-dev 2007-01-11 18:54:29 UTC
This is fixed in >=portage-2.1.2_rc1-r3.  See bug #42115.